DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ScanFrameWork

FrameWork for scanning multiple images

## SYNOPSIS

`#include "dip_framework.h"`

dip_Error dip_ScanFrameWork ( in, out, process, boundary, border, inBuffer, outBuffer, outImage )

## FUNCTION

This function provides a framework for scanning `nofin` input images and `nofout` output images in one dimension of the images. The dimension in which the image should be scan can be specified or left to `ScanFrameWork` by specifiying the dimension with `DIP_MONADIC_OPTIMAL_DIMENSION`. See `SeparableFrameWork` for details.

## ARGUMENTS

Data type | Name | Description
`dip_ImageArray` | `in` | Array of input images
`dip_ImageArray` | `out` | Array of output images
`dip_FrameWorkProcess` | `process` | Process
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_BorderArray` | `border` | Border Array
`dip_DataTypeArray` | `inBuffer` | Array of `dip_DataType` of the input buffer
`dip_DataTypeArray` | `outBuffer` | Array of `dip_DataType` of each output buffer
`dip_DataTypeArray` | `outImage` | Array of `dip_DataType` of each output image

## SEE ALSO

DIPlib's data types `SeparableFrameWork`, `PixelTableFrameWork`

DIPlib on-line documentation | Function reference | Global function index